Subject: Re: [PATCH net-next V1 00/10] Mellanox Ethernet driver updates 2013-01-30

From: Amir Vadai <[email-masked]>
Date: Wed, 6 Feb 2013 09:24:55 +0200

On 05/02/2013 22:08, Ben Hutchings wrote:
> On Thu, 2013-01-31 at 13:51 -0500, David Miller wrote:
>> From: Amir Vadai <[email-masked]>
>> Date: Thu, 31 Jan 2013 11:07:01 +0200
>>
>>> Hi Dave,
>>>
>>> This series contains updates to mlx4 driver.
>>> Majority of the patches are small bug fixes. Another patch is to expose through
>>> debugfs some HW resources to be used by external tools.
>>>
>>> Patches done against net-next commit 1b13c97: "net/vxlan: Add ethtool drvinfo"
>>>
>>> Changes from V0:
>>> - Removed patch "net/mlx4_en: Add debugfs support". Need to find a standard way
>>>    to do it, and no need to delay the other patches.
>>
>> All applied, thanks.
>
> The first time this series was posted (this is actually v2) I raised an
> issue with the changes to interpretation of the VLAN tag in ethtool RX
> NFC commands: <http://article.gmane.org/gmane.linux.network/257392/>.
> The semantics are now definitely inconsistent between sfc and mlx4_en.
> I asked Alexander what ixgbe (first implementation) does with the upper
> 4 bits, with the aim that all three implementations should be
> consistent, but I haven't had an answer to that yet.
>
> Ben.
>

I'm not sure I understand the problem here.

mlx4_en implementation is exactly like what you describe and what 
ethtool documentation is describing.

We handle vlan_tci as the whole VLAN tag. Since we're only interested in 
the VID in our flow steering, we check that the mask sets only the 12 
bits of VID and use it.
 From looking at sfc driver - it is exactly same there.

Did I miss something?

Amir.